# frozen_string_literal: true

require 'warehouse_models/version'

module WarehouseModels
  class Error < StandardError; end
  # Your code goes here...
  def self.load
    require directory + '/lib/models/warehouse_application_record'
    files.each { |file| require file }
  end

  def self.files
    Dir[directory + '/lib/models/*.rb']
  end

  def self.directory
    Gem::Specification.find_by_name('warehouse_models').gem_dir
  end
end
